PropertiesFileContentMerger (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.plugins.ide.api

## [Java] Class PropertiesFileContentMerger

- org.gradle.plugins.ide.api.PropertiesFileContentMerger

- Models the generation/parsing/merging capabilities. Adds properties-related hooks.

  For examples see docs for EclipseJdt and others.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertiesFileContentMerger (org.gradle.api.internal.PropertiesTransformer transformer)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `org.gradle.api.internal.PropertiesTransformer` | `getTransformer()`
    `void` | `setTransformer(org.gradle.api.internal.PropertiesTransformer transformer)`
    `void` | `withProperties(groovy.lang.Closure closure)` Adds a closure to be called when the file has been created.
    `void` | `withProperties(Action<Properties> action)` Adds an action to be called when the file has been created.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class FileContentMerger` | `beforeMerged, getBeforeMerged, getWhenMerged, setBeforeMerged, setWhenMerged, whenMerged`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public PropertiesFileContentMerger(org.gradle.api.internal.PropertiesTransformer transformer)

  - ### Method Detail

    - #### public org.gradle.api.internal.PropertiesTransformer getTransformer()

    - #### public void setTransformer(org.gradle.api.internal.PropertiesTransformer transformer)

    - #### public void withProperties(groovy.lang.Closure closure)

      Adds a closure to be called when the file has been created. The Properties are passed to the closure as a parameter. The closure can modify the Properties before they are written to the output file.

      For examples see docs for EclipseJdt and others.

      Parameters:
        `closure` - The closure to execute when the Properties have been created.

    - #### @Incubating public void withProperties(Action<Properties> action)

      Adds an action to be called when the file has been created. The Properties are passed to the action as a parameter. The action can modify the Properties before they are written to the output file.

      For examples see docs for EclipseJdt and others.

      Parameters:
        `action` - The action to execute when the Properties have been created.